BubbleShop
  1. API References
  • Guides
    • Introduction
    • Key Features
    • Getting started
  • API References
    • Account
      GET
    • Product
      GET
    • Service
      GET
    • Order
      POST
    • Status
      GET
    • Nickname
      GET
  • Webhook
    • Notifications
  • Information
    • List Game
    • Status Code
    • How To Create Signature
  1. API References

Product

GET
/api/product
This endpoint retrieves a list of all available game products supported by the platform.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Header Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://topup.haibubble.com/api/product' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'
Response Response Example
{
    "status": 200,
    "success": true,
    "message": "Product retrieved successfully",
    "data": [
         {
            "product_name": "Mobile Legends",
            "product_code": "BSML301",
            "account_identifier": "Game ID & Zone",
            "status": "Available"
        },
        {
            "product_name": "Magic Chess",
            "product_code": "BSMC382",
            "account_identifier": "Game ID & Zone",
            "status": "Available"
        }
    ]
}
Modified at 2026-02-27 17:42:24
Previous
Account
Next
Service
Built with